New version crashed my system

I was working on jitsi-meetii version: 2.0.5390-3
My app works in a very specific way. I need to control the audio and video of each user based on their position in a game. I was doing that collecting the Jid (jitsi id of each user), searching for the audio in the iframe and controlling volume.

Recently i tried the new version jitsi-meet 2.0.6433-1 and audios of each user no longer seem to exist in this version. The javascript i created to control volume works no more

I noticed the api.setParticipantVolume() should be able to solve the volume. But thing is…i dont know if this method works locally or if it sets volume for all members in the meeting…what would not work for me.

I am trying to get back to my old version but it dont seem to be working anymore. The usual process to install jitsi-meet installs all but when i try to connect to a room, it doesnt connect. So I my entire application is in danger because i cant work with the new version and i cant go back to the old version.

Please any help is welcomed.

That is locally, but we got a report it maybe broken setParticipantVolume on iframe api not working - #3 by roast_beef any PRs are welcome.

I really need to get this working to monday.

I could try use setParticipantVolume but as you said…its not working

Anyone knows how to recover my previous version?
jitsi-meet 2.0.5390-3

I tried to reinstall it on the configurations i had previously
jitsi-meet 2.0.5390-3
ii jitsi-meet-prosody 1.0.4628-1
ii jitsi-meet-turnserver 1.0.4628-1
ii jitsi-meet-web 1.0.4628-1
ii jitsi-meet-web-config 1.0.4628-1
ii jitsi-videobridge2 2.1-416-g2f43d1b4-1

But now i can get the jitsi screen to open, but when i connect 2 pcs to the same room, both crashes…or the rooms open but one cant speak or see the other.

Please i need to go back to the old stable version

I got here the logs of jicofo saying that when user tries to connect to the same room of the other, it cant find the brindge.

Jicofo 2021-11-27 18:18:03.799 INFO: [54] org.jitsi.jicofo.xmpp.ConferenceIqHandler.log() Focus request for room: ravenloft@conference.viplistas.com.br
Jicofo 2021-11-27 18:18:04.722 INFO: [118] org.jitsi.jicofo.ChatRoomRoleAndPresence.log() Chat room event ChatRoomMemberPresenceChangeEvent[type=MemberJoined sourceRoom=org.jitsi.impl.protocol.xmpp.ChatRoomImpl@26a2791e member=ChatMember[ravenloft@conference.viplistas.com.br/22946760, jid: null]@744100462]
Jicofo 2021-11-27 18:18:04.723 INFO: [118] org.jitsi.jicofo.JitsiMeetConferenceImpl.log() Member ravenloft@conference.viplistas.com.br/22946760 joined.
Jicofo 2021-11-27 18:18:04.723 WARNING: [118] org.jitsi.jicofo.bridge.BridgeSelectionStrategy.log() Failed to select initial bridge for participantRegion=null
Jicofo 2021-11-27 18:18:04.723 SEVERE: [118] org.jitsi.jicofo.JitsiMeetConferenceImpl.log() Can not invite participant – no bridge available.
Jicofo 2021-11-27 18:18:04.723 SEVERE: [118] org.jitsi.jicofo.JitsiMeetConferenceImpl.log() Failed to select a bridge for Participant[ravenloft@conference.viplistas.com.br/5ba694c8]@1767414145
Jicofo 2021-11-27 18:18:04.723 WARNING: [118] org.jitsi.jicofo.bridge.BridgeSelectionStrategy.log() Failed to select initial bridge for participantRegion=null
Jicofo 2021-11-27 18:18:04.724 SEVERE: [118] org.jitsi.jicofo.JitsiMeetConferenceImpl.log() Can not invite participant – no bridge available.
Jicofo 2021-11-27 18:18:04.724 SEVERE: [118] org.jitsi.jicofo.JitsiMeetConferenceImpl.log() Failed to select a bridge for Participant[ravenloft@conference.viplistas.com.br/22946760]@1552381757
Jicofo 2021-11-27 18:18:06.046 INFO: [118] org.jitsi.jicofo.ChatRoomRoleAndPresence.log() Chat room event ChatRoomMemberPresenceChangeEvent[type=MemberLeft sourceRoom=org.jitsi.impl.protocol.xmpp.ChatRoomImpl@26a2791e member=ChatMember[ravenloft@conference.viplistas.com.br/5ba694c8, jid: uxagdlmvdiwrvg4o@viplistas.com.br/fAG0mlk3]@677745594]
Jicofo 2021-11-27 18:18:06.046 INFO: [118] org.jitsi.jicofo.ChatRoomRoleAndPresence.log() Owner has left the room !

These will delete everything first

apt-get purge jitsi-meet prosody coturn
apt-get autoremove --purge

apt-get install jitsi-meet=2.0.5390-3 jitsi-videobridge2=2.1-416-g2f43d1b4-1 \
    jicofo=1.0-692-hf-1 jitsi-meet-web=1.0.4628-1 jitsi-meet-web-config=1.0.4628-1 \
    jitsi-meet-prosody=1.0.4628-1 jitsi-meet-turnserver=1.0.4628-1

Tried to follow this commands but i still have my 2 users falling just after entering the same room.
Going to start fresh.

Going to get a new aws Ubuntu Server 20.04 LTS (HVM) on a t3.medium.
I usually do a fresh install following this url:

but instead of using jitsi-meet i will use your command:

apt-get install jitsi-meet=2.0.5390-3 jitsi-videobridge2=2.1-416-g2f43d1b4-1
jicofo=1.0-692-hf-1 jitsi-meet-web=1.0.4628-1 jitsi-meet-web-config=1.0.4628-1
jitsi-meet-prosody=1.0.4628-1 jitsi-meet-turnserver=1.0.4628-1

my current security group opens ports: 80, 22, 10000, 4443 and 443.

Crossing fingers that it will work

I tried the 2 apis (getParticipantsInfo / setParticipantVolume) and the slider is set in a way that looks coherent with the value passed as parameter ‘volume’.
Where you really passing a number for the volume parameter ? A string looking like a number (“0.45”) would not do. Maybe that is your problem. I am not going to install an old version to really check if the change of July 2021 could have this effect (enforce the parameter type that is).

Guys…

I migrated to the new version. Use setParticipantVolume to control audio in my game. Problem is:
The new system is instable in several ways

First: I place volume in 0, and i can still hear the person i place in 0 with a low volume.
Second: Jitsi keeps crashing and need to reload constantly.
Third: seem to be slow to log into a new room.
Forth: Whenever the user who is talking to me in a meeting opens another browser tab the volume goes down.

Meaning the new jitsi has a lot of problems to my application. I really need to convert back to the old jitsi.

After some deeper dig on the source of my problems…

It seems the new version of jitsi consumes A LOT more of memory and processing.

My application adds to the jitsi a game with a lot of canvas drawing. Used to have a 700MB memory usage and less than 5% CPU usage when on old jitsi version.

New version of jitsi takes 700MB memory alone. When i add my game to it , it goes to 1GB memory and 19% CPU usage.

All problems comes due to the fact PC cant hold that much effort. Either i go back to the old Jitsi or i cant run my program anymore.

Really need some help to recover the old jitsi 2.0.5390-3cause it just dont work anymore with 2.0.6433-1 .

Mind that the old version soon will not work with chrome because of plan-b being removed from chrome.

I managed to solve the old instalation. The issue with the command:
“apt-get install jitsi-meet=2.0.5390-3 jitsi-videobridge2=2.1-416-g2f43d1b4-1
jicofo=1.0-692-hf-1 jitsi-meet-web=1.0.4628-1 jitsi-meet-web-config=1.0.4628-1
jitsi-meet-prosody=1.0.4628-1 jitsi-meet-turnserver=1.0.4628-1”

Was that it required the installation of javask11 to work.

Anyway…what is this plan-b thing you mentioned?

You can read more about it Switch to unified plan on Chrome

Seems Google had it extended for a few more months, it was the end of December now I see it has been extended to the end of May 2022.
https://www.chromestatus.com/feature/5823036655665152

I see…

Well…until may i 2022 i have time to slowly teach my current players to use videoconference some other way. Fact is the new jitsi version is not working well with my game. Managed to go back to the old version and it started working like a charm again